/************************************************************************/
/* test_dmatrix.c: test dynamic array allocation			*/
/************************************************************************/
/* I/O channels:
   stdout								*/
/*======================================================================*/
#include <stdio.h>
#include <mathc.h>

int main(void) {
  int i, j;
  dmatrix a;

  if ((i = dmatrix_create(&a, 1, 2, 1, 2)) != 0) {
    printf("Das war wohl nix!\n");
    return(1);
  }
  a.a[1][1] = 1.0;
  a.a[1][2] = 2.0;
  a.a[2][1] = -2.0;
  a.a[2][2] = 1.0;
  for (i = 1; i <= 2; i++) {
    for (j = 1; j <= 2; j++) printf("%lf\n", a.a[i][j]);
  }
  dmatrix_free(&a);
  return(0);
}
