/************************************************************************/
/* Test subroutine quintic.c (solutions of 5th order algebraic equation)*/
/************************************************************************/
/* I/O channels
   stdin
   stdout

   stdin sequence:
   1. polynomial coefficents a[0] ... a[5]

   link with -lmathc -lm					      */
/*====================================================================*/
#include <mathc.h>

int main(void) {
  int i, n;
  double a[6], x[5];

  scanf("%lf%lf%lf%lf%lf%lf", &a[0], &a[1], &a[2], &a[3], &a[4], &a[5]);
  n = eqn_quintic(a, x);
  printf("%d\n", n);
  for (i=0; i<n; i++) printf("%lf\n", x[i]);
  return(0);
}
